const int ledPin = 13;       // pin that the LED is attached to

const int TankPressure = A0;    // TANK PRESSURE
const int FrontLeft    = A1;    // FRONT LEFT
const int FrontRight   = A2;    // FRONT RIGHT
const int BackLeft     = A3;    // BACK LEFT
const int BackRight    = A4;    // BACK RIGHT

const int AirIn_FL  = 2;        // Air in FL
const int AirIn_FR  = 3;        // Air in FR
const int AirIn_BL  = 4;        // Air in BL
const int AirIn_BR  = 5;        // Air in BR

const int AirOut_FL = 6;        // Air in FL
const int AirOut_FR = 7;        // Air in FR
const int AirOut_BL = 8;        // Air in BL
const int AirOut_BR = 9;        // Air in BR

const int PumpLeft  = 10;       // Air in BR
const int PumpRight = 11;       // Air in BR

const int OffsetFL = 0;         // Calibration Offset
const int OffsetFR = 0;         // Calibration Offset
const int OffsetBL = 0;         // Calibration Offset
const int OffsetBR = 0;         // Calibration Offset

const int MaxTankPressure = 100;   // Max Tank Pressure
const int MinTankPressure = 80;   // Min Tank Pressuer


void setup() 
  { 
   Serial.begin(9600);
   pinMode(ledPin, OUTPUT);
   pinMode(PumpLeft, OUTPUT);
   pinMode(PumpRight, OUTPUT);
   pinMode(AirIn_FL, OUTPUT);
   pinMode(AirIn_FR, OUTPUT);
   pinMode(AirIn_BL, OUTPUT);
   pinMode(AirIn_BR, OUTPUT);
   pinMode(AirOut_FL, OUTPUT);
   pinMode(AirOut_FR, OUTPUT);  
   pinMode(AirOut_BL, OUTPUT); 
   pinMode(AirOut_BR, OUTPUT); 
   
  }
void loop()
{
  char input;
  if(Serial.available() > 0)
  { input = Serial.read();


    if(input == 'R' ) 
    { 
      Serial.println(""); Serial.println("ENTER 1-5"); while(Serial.available() < 1) {   }
      input = Serial.read(); 
      if(input >= '1' && input <= '5') { Serial.print("R"); Serial.println(input); }
   
    
    }

        
    if(input == 'L' ) 
    { 
      Serial.println(""); Serial.println("ENTER 1-5"); while(Serial.available() < 1) {   }
      input = Serial.read();  
      if(input >= '1' && input <= '5') { Serial.print("L"); Serial.println(input); }

    }
    

    if(input == 'S' ) 
      { 
        Serial.println("");
        Serial.println("SLAMMING");
        Serial.println("");
        digitalWrite(ledPin, HIGH);
        digitalWrite(AirOut_FL, HIGH);
        digitalWrite(AirOut_FR, HIGH);
        digitalWrite(AirOut_BL, HIGH);
        digitalWrite(AirOut_BR, HIGH);
        delay(5000); 
        digitalWrite(ledPin, LOW);
        digitalWrite(AirOut_FL, LOW);
        digitalWrite(AirOut_FR, LOW);
        digitalWrite(AirOut_BL, LOW);
        digitalWrite(AirOut_BR, LOW);  
        
      }
    if(input == 'U' ) 
    { 
      Serial.println(""); Serial.println("RAISING"); Serial.println("");; 
          digitalWrite(ledPin, HIGH);
          digitalWrite(AirIn_FL, HIGH);
          digitalWrite(AirIn_FR, HIGH);
          digitalWrite(AirIn_BL, HIGH);
          digitalWrite(AirIn_BR, HIGH);
          delay(500); 
          digitalWrite(ledPin, LOW);
          digitalWrite(AirIn_FL, LOW);
          digitalWrite(AirIn_FR, LOW);
          digitalWrite(AirIn_BL, LOW);
          digitalWrite(AirIn_BR, LOW);   
    }

    
    if(input == 'D' ) 
      { 
        
       Serial.println(""); Serial.println("DROPPING"); Serial.println("");
          digitalWrite(ledPin, HIGH);
          digitalWrite(AirOut_FL, HIGH);
          digitalWrite(AirOut_FR, HIGH);
          digitalWrite(AirOut_BL, HIGH);
          digitalWrite(AirOut_BR, HIGH);
          delay(500); 
          digitalWrite(ledPin, LOW);
          digitalWrite(AirOut_FL, LOW);
          digitalWrite(AirOut_FR, LOW);
          digitalWrite(AirOut_BL, LOW);
          digitalWrite(AirOut_BR, LOW); 
      }


      
    if(input == 'I' ) { Serial.println("IGNITION"); }

 
    
  }



int FL = analogRead(FrontLeft);
int FR = analogRead(FrontRight);
int BL = analogRead(BackLeft);
int BR = analogRead(BackRight);
int TP = analogRead(TankPressure);

  Serial.print(FL);
  Serial.print(" ");
  Serial.print(FR);
  Serial.print(" ");
  Serial.print(BL);
  Serial.print(" ");
  Serial.print(BR);
  Serial.print("   ");
  Serial.println("TP  U D S R12345 L12345");

delay(200); 

  
}
